clang-tools 6.0.0

Namespaces | Functions
MacroParenthesesCheck.cpp File Reference
`#include "MacroParenthesesCheck.h"`
`#include "clang/Frontend/CompilerInstance.h"`
`#include "clang/Lex/PPCallbacks.h"`
`#include "clang/Lex/Preprocessor.h"`
Include dependency graph for MacroParenthesesCheck.cpp:

Go to the source code of this file.

## Namespaces
| clang
| clang::tidy
| clang::tidy::misc

## Functions
static bool | clang::tidy::misc::isSurroundedLeft (const Token &T)
| Is argument surrounded properly with parentheses/braces/squares/commas? More...
static bool | clang::tidy::misc::isSurroundedRight (const Token &T)
| Is argument surrounded properly with parentheses/braces/squares/commas? More...
static bool | clang::tidy::misc::isKeyword (const Token &T)
| Is given TokenKind a keyword? More...
static bool | clang::tidy::misc::isWarnOp (const Token &T)
| Warning is written when one of these operators are not within parentheses. More...
static bool | clang::tidy::misc::isVarDeclKeyword (const Token &T)
| Is given Token a keyword that is used in variable declarations? More...
static bool | clang::tidy::misc::possibleVarDecl (const MacroInfo *MI, const Token *Tok)
| Is there a possible variable declaration at Tok? More...